---
apiVersion: v1
kind: PersistentVolume
metadata:
   name: doris-1-9000g-pv
spec:
   capacity:
      storage: 9000Gi
   volumeMode: Filesystem
   accessModes:
   - ReadWriteOnce
   persistentVolumeReclaimPolicy: Retain
   storageClassName: doris-static-storage
   local:
      path: /var/lib/docker/doris
   nodeAffinity:
      required:
         nodeSelectorTerms:
         - matchExpressions:
            - key: kubernetes.io/hostname
              operator: In
              values:
              - 172.16.100.56
---
---
apiVersion: v1
kind: PersistentVolume
metadata:
   name: doris-2-9000g-pv
spec:
   capacity:
      storage: 9000Gi
   volumeMode: Filesystem
   accessModes:
   - ReadWriteOnce
   persistentVolumeReclaimPolicy: Retain
   storageClassName: doris-static-storage
   local:
      path: /var/lib/docker/doris
   nodeAffinity:
      required:
         nodeSelectorTerms:
         - matchExpressions:
            - key: kubernetes.io/hostname
              operator: In
              values:
              - 172.16.100.57
---
apiVersion: v1
kind: PersistentVolume
metadata:
   name: doris-3-9000g-pv
spec:
   capacity:
      storage: 9000Gi
   volumeMode: Filesystem
   accessModes:
   - ReadWriteOnce
   persistentVolumeReclaimPolicy: Retain
   storageClassName: doris-static-storage
   local:
      path: /var/lib/docker/doris
   nodeAffinity:
      required:
         nodeSelectorTerms:
         - matchExpressions:
            - key: kubernetes.io/hostname
              operator: In
              values:
              - 172.16.100.58
---
---
apiVersion: v1
kind: PersistentVolume
metadata:
   name: doris-1-500g-pv
spec:
   capacity:
      storage: 500Gi
   volumeMode: Filesystem
   accessModes:
   - ReadWriteOnce
   persistentVolumeReclaimPolicy: Retain
   storageClassName: doris-static-storage
   local:
      path: /var/lib/docker/doris
   nodeAffinity:
      required:
         nodeSelectorTerms:
         - matchExpressions:
            - key: kubernetes.io/hostname
              operator: In
              values:
              - 172.16.100.56
---
---
apiVersion: v1
kind: PersistentVolume
metadata:
   name: doris-2-500g-pv
spec:
   capacity:
      storage: 500Gi
   volumeMode: Filesystem
   accessModes:
   - ReadWriteOnce
   persistentVolumeReclaimPolicy: Retain
   storageClassName: doris-static-storage
   local:
      path: /var/lib/docker/doris
   nodeAffinity:
      required:
         nodeSelectorTerms:
         - matchExpressions:
            - key: kubernetes.io/hostname
              operator: In
              values:
              - 172.16.100.57
---
apiVersion: v1
kind: PersistentVolume
metadata:
   name: doris-3-500g-pv
spec:
   capacity:
      storage: 500Gi
   volumeMode: Filesystem
   accessModes:
   - ReadWriteOnce
   persistentVolumeReclaimPolicy: Retain
   storageClassName: doris-static-storage
   local:
      path: /var/lib/docker/doris
   nodeAffinity:
      required:
         nodeSelectorTerms:
         - matchExpressions:
            - key: kubernetes.io/hostname
              operator: In
              values:
              - 172.16.100.58
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: doris-1-9000g-pvc
spec:
  storageClassName: doris-static-storage
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 9000Gi
  volumeMode: Filesystem
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: doris-2-9000g-pvc
spec:
  storageClassName: doris-static-storage
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 9000Gi
  volumeMode: Filesystem
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: doris-3-9000g-pvc
spec:
  storageClassName: doris-static-storage
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 9000Gi
  volumeMode: Filesystem
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: doris-1-500g-pvc
spec:
  storageClassName: doris-static-storage
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 500Gi
  volumeMode: Filesystem
---